Bug 751050 - Kickoff menu shows categories with only hidden entries, e.g. the 'Settings' menu on the default KDE Live CD
Summary: Kickoff menu shows categories with only hidden entries, e.g. the 'Settings' m...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kdebase-workspace
Version: 16
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-11-03 11:18 UTC by Adam Williamson
Modified: 2013-01-25 00:58 UTC (History)
9 users (show)

Fixed In Version: kde-workspace-4.9
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-01-25 00:58:12 UTC


Attachments (Terms of Use)

Description Adam Williamson 2011-11-03 11:18:59 UTC
In F15 RC5 KDE live, the K menu tree contains an entirely empty 'Settings' menu.

Comment 1 Adam Williamson 2011-11-03 11:19:13 UTC
F16, I mean.

Comment 2 Kevin Kofler 2011-11-03 15:25:19 UTC
Uhm, I was already aware of this one, it came up after we sorted out the "Administration" menu mess in F15 (see bug 701693, bug 703531), though it was already present in earlier Fedora releases as well, but I had forgotten about it because back then we decided this wasn't important enough to fix. I don't think this infringes the letter of any blocker criterion, does it?

The problem here is this: In the live CD's package set, the Settings category contains exactly one menu item, KDE's "System Settings" utility. Due to that menu item, the category is detected as "not empty" and shown. But in the default Kickoff menu, that menu item is hidden (because it is shown in the "Computer" tab). So you end up with the category turning up empty.

If you right-click on the menu button and choose "Switch to Classic menu style", you will see "System Settings" magically appear in the classic menu. If you again right-click and switch back ("Switch to Kickoff menu style"), you will see it magically disappear again. (The item is only hidden in the Kickoff style.)

So the bug is that categories which become empty due to Kickoff hiding all its entries are not themselves hidden.

Comment 3 Adam Williamson 2011-11-03 22:07:09 UTC
nope, it's not proposed as a blocker - but when I'm doing the release validation testing I file any non-blocker issues I come across too, no reason not to file them just because they aren't blockers. they go into the results table as 'warning' rather than 'failure'.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 4 Kevin Kofler 2011-11-03 22:37:47 UTC
OK, thanks for filing this so we don't forget it again, we'll see if we can address this with a post-release update.

Comment 5 Fedora End Of Life 2013-01-16 19:30:59 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Kevin Kofler 2013-01-16 21:54:58 UTC
Hmmm, last I checked, this behavior was still current. What happens on the F18 live image?

Comment 7 Adam Williamson 2013-01-25 00:02:23 UTC
The Settings menu is still in the tree, it now contains a link to the KDE control panel though (System Settings).

Comment 8 Kevin Kofler 2013-01-25 00:30:22 UTC
So the hidden entries are not hidden anymore? :-) Now that's one way to fix this. :-)

Just to be sure, this is with the default Kickoff menu, not the Classic menu? (The Classic menu has always shown the hidden entries.)

Comment 9 Adam Williamson 2013-01-25 00:50:59 UTC
I just booted the F18 live image in a VM and paged through the menus. I don't know beyond that. I don't remember reporting this bug at all. I don't remember anything past last Wednesday, as a general rule =)

Comment 10 Kevin Kofler 2013-01-25 00:58:12 UTC
So it looks like this is not an issue anymore with 4.9 because the entry is no longer hidden, closing.


Note You need to log in before you can comment on or make changes to this bug.